package main

import (
	"converge/pkg/server/templates"
	"log"
	"math/rand"
	"net/http"
	"os"
	"strconv"
)

func generateCLIExammple(w http.ResponseWriter, r *http.Request) {
	log.Println("usage: got ", r.URL.Path)

	err := r.ParseForm()
	if err != nil {
		http.Error(w, "Error parsing form", http.StatusBadRequest)
		return
	}
	ids := r.Form["rendez-vous-id"]
	id := ""
	if len(ids) > 0 {
		id = ids[0]
	}
	if id == "" {
		id = strconv.Itoa(rand.Int() % 1000000)
	}
	remoteShells := r.Form["remote-shell"]
	localShells := r.Form["local-shell"]
	keys := r.FormValue("ssh-keys")
	log.Printf("remote_shells %v", remoteShells)
	log.Printf("local_shells %v", localShells)
	log.Printf("ssh-keys %v", keys)

	access := getConvergeAccess(r, getAgentSshUser())

	usageInputs := templates.NewUsageInputs(id, remoteShells, localShells)
	err = templates.ShellUsage(access, usageInputs).Render(r.Context(), w)
	if err != nil {
		http.Error(w, err.Error(), 500)
	}
}

func getAgentSshUser() string {
	username, _ := os.LookupEnv("CONVERGE_USERNAME")
	return username
}
